/*
 *  Device driver handler
 *
 *  (c) 1998, Yoav Shadmi
 *
 */

#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"

#include "driver.h"

#include "IBM-UI.h"
#include "IBM-SCC.h"
#include "IBM-SND.h"
#include "IBM-VGA.h"
#include "IBM-DISK.h"
#include "IBM-TIME.h"

int Driver_LockDrivers (void)
{
   Mouse_LockDriver();
   Keyboard_LockDriver();
   Printer_LockDriver();
   Modem_LockDriver();
   Sound_LockDriver();
   VGA_LockDriver();
   Disk_LockDriver();
   Timer_LockDriver();

   return 1;
}
